Tuesday, 5 January 2010

MindLeaders Courses now available on multiple browsers

MindLeaders have been working hard to update their courses so that they are now available to run on the following browsers:

  • Internet Explorer (Version 6 and above)
  • Mozilla Firefox
  • Safari (for a Mac)
This is great for all MindLeaders users, especially those who use a Macintosh. You can read more at the MindLeaders blog or contact us for further info.

Happy learning!

3 comments:

juliangreenfield said...

Good to hear that all Mindleader courses now run on multiple browsers! We won’t have to install a different browser for Mindleader anymore!

San Diego custom shutters

Pat Robinson said...

I use Mozilla Firefox and MindLeader courses run smoothly and without any hassles! I hope it’s the same for other browsers as well.

Graber

margaretbechly said...

I am aware of this fact as I have already seen it on Firefox. Thanks for telling us anyway.

local movers